PETSc version 3.17.4
Fix/Edit manual page

# DMPlexTPSType

Type of triply-periodic surface for DMPlex

### Synopsis

    typedef enum {
      DMPLEX_TPS_SCHWARZ_P,
      DMPLEX_TPS_GYROID
    } DMPlexTPSType;

     DMPLEX_TPS_SCHWARZ_P - Schwarz Primitive surface, defined by the equation cos(x) + cos(y) + cos(z) = 0.

     DMPLEX_TPS_GYROID    - Gyroid surface, defined by the equation sin(x)cos(y) + sin(y)cos(z) + sin(z)cos(x) = 0

### Developer Note

Any additions/changes here MUST also be made in include/petsc/finclude/petscdmplex.h and src/dm/f90-mod/petscdmplex.h

### See Also

DMPlexCreateTPSMesh()

### Level

intermediate

### Location

src/dm/../../include/petscdmplex.h

### Examples

src/dm/impls/plex/tutorials/ex13.c.html
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages